Skip to content
Skip to main content
GET
/v3/grants/{grant_id}/messages/schedules

Return scheduled messages

Returns a list of scheduled messages. You can retrieve both sent and unsent messages.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

Responses

Array of object
schedule_id*string

The ID of the scheduled message.

status*object

The status of the specified scheduled message.

close_timeinteger

The time that the message was sent, or failed to send, in seconds using the Unix timestamp format.

GEThttps://api.us.nylas.com/v3/grants/{grant_id}/messages/schedules

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.